# png::image< pixel >::pixel_generator Class Reference

The pixel buffer adapter for writing pixel data. More...

`#include <image.hpp>`

Inheritance diagram for png::image< pixel >::pixel_generator:

List of all members.

## Public Member Functions

| pixel_generator (image_info &info, pixbuf &pixels)

## Detailed Description

### template<typename pixel>
class png::image< pixel >::pixel_generator

The pixel buffer adapter for writing pixel data.

## Constructor & Destructor Documentation

template<typename pixel>

png::image< pixel >::pixel_generator::pixel_generator | ( | image_info & | info,
|  | pixbuf & | pixels
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- image.hpp